package ink.wgink.module.wechat.pay.controller.wechat.v3;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import ink.wgink.module.wechat.pay.pojo.v3.PayErrorResponse;
import ink.wgink.module.wechat.pay.service.v3.refund.IRefundService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @ClassName: RefundController
 * @Description: 退款
 * @Author: wanggeng
 * @Date: 2022/11/11 23:30
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_WECHAT_PREFIX + "退款")
@RestController
@RequestMapping(ISystemConstant.WECHAT_PREFIX + "/refund")
public class RefundController extends DefaultBaseController {

    @Autowired
    private IRefundService refundService;

    @ApiOperation(value = "通知退款结果", notes = "有微信支付主动发起的退款结果通知接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "Wechatpay-Signature", value = "来自微信的签名值", paramType = "header")
    })
    @ApiResponses({@ApiResponse(code = 400, message = "请求失败", response = PayErrorResponse.class)})
    @PostMapping("notice")
    public void notice(HttpServletRequest request,
                       HttpServletResponse response,
                       @RequestHeader("Wechatpay-Nonce") String nonce,
                       @RequestHeader("Wechatpay-Timestamp") String timestamp,
                       @RequestHeader("Wechatpay-Signature") String wechatpaySignature) throws IOException {
        refundService.notice(request, response, nonce, timestamp, wechatpaySignature);
    }

}
