package ink.wgink.module.wechat.pay.enums;

/**
 * @ClassName: FundsAccountEnum
 * @Description: 资金账户
 * @Author: wanggeng
 * @Date: 2022/11/11 09:41
 * @Version: 1.0
 */
public enum RefundFundsAccountEnum {

    UNSETTLED("UNSETTLED", "未结算资金"),
    AVAILABLE("AVAILABLE", "可用余额"),
    UNAVAILABLE("UNAVAILABLE", "不可用余额"),
    OPERATION("OPERATION", "运营户"),
    BASIC("BASIC", "基本账户（含可用余额和不可用余额）");

    private String value;
    private String text;

    RefundFundsAccountEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
